#!/bin/sh

set -efu

SRCDIR=$(pwd)

cp -rv ${SRCDIR}/tests ${AUTOPKGTEST_TMP}
cp -rv ${SRCDIR}/examples ${AUTOPKGTEST_TMP}/examples
cd ${AUTOPKGTEST_TMP}

export MPLCONFIGDIR=$(pwd)/build

for py in $(py3versions -s); do
    $py -m pytest -v -s tests
done
